package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 是否举类
 */
@AllArgsConstructor
@Getter
public enum EDealerYesNo {

    /**
     * 是
     */
    YES(0, "是", EnumsPrefixConstants.DEALER_YES_NO + "0"),

    /**
     * 否
     */
    NO(1, "否", EnumsPrefixConstants.DEALER_YES_NO + "1"),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 国际化翻译key值
     */
    private final String key;

    /**
     * 校验状态是否合法
     *
     * @param value
     * @return
     */
    public static boolean checkEnableCode(Integer value) {
        return YES.getValue() == value
                || NO.getValue() == value;
    }

    /**
     * 根据值，返回label
     *
     * @param intVale
     * @return
     */
    public static String getLabelByIntValue(int intVale) {
        if (YES.getValue() == intVale) {
            return YES.getLabel();
        }
        return NO.getLabel();
    }

    /**
     * 根据值，返回枚举
     *
     * @param value
     * @return
     */
    public static EDealerYesNo getEnumByValue(int value) {
        return YES.getValue() == value ? YES : NO;
    }

}
